[package]
name = "linutil_tui"
description = "Pika's fork from https://christitustech.github.io/linutil to serve as his own tui for his scripts"
documentation = "https://christitustech.github.io/linutil"
readme = "../README.md"
edition = "2021"
license.workspace = true
repository = "https://github.com/ChrisTitusTech/linutil/tree/main/tui"
version.workspace = true
include = ["src/*.rs", "Cargo.toml", "build.rs", "cool_tips.txt", "../man/linutil.1"]
build = "build.rs"

[features]
default = ["tips"]
tips = ["rand"]

[dependencies]
clap = { version = "4.5.19", features = ["derive"] }
crossterm = "0.28.1"
ego-tree = { workspace = true }
oneshot = "0.1.8"
portable-pty = "0.8.1"
ratatui = "0.28.1"
tui-term = "0.1.12"
temp-dir = "0.1.14"
unicode-width = "0.2.0"
rand = { version = "0.8.5", optional = true }
linutil_core = { path = "../core", version = "24.9.28" }
tree-sitter-highlight = "0.24.2"
tree-sitter-bash = "0.23.1"
anstyle = "1.0.8"
ansi-to-tui = "6.0.0"
zips = "0.1.7"

[build-dependencies]
chrono = "0.4.33"

[[bin]]
name = "linutil"
path = "src/main.rs"
